Subject: RFC 4733 ERRATA: IANA stuff garbled

From: Alfred Hönes <[email-masked]>
Date: Tue, 19 Dec 2006 12:50:16 +0100 (MEZ)

Hello,

browsing through the recently published RFCs 4733 & 4734
authored by you (and your Ref. [17] of RFC 4733 for
complimentary information as well), I found a significant
inconsistency in the IANA registration information for
the "audio-telephone-event-registry" subregistry,
and also a few other, less significant textual issues.

The latter are presented in RFC textual order below, after
discussion of the former, significant issue.

I use change bars ('|' in column 1) and occasionally
up/down pointing marker lines ('^^^'/'vvv') to emphasize
the location of textual issues and/or proposed corrections.

(1)  [ IANA information inconsistent ]

Overview and Rationale:

Section 7 of RFC 4733, in the lower half of page 39,
specifies the initial content of the IANA maintained
audio-telephone-event-registry subregistry, as intended
for after publication of RFC 4733 -- see (1a) below.

Additionally, in Appendix A, on page 47, RFC 4733 restates this
information and summarizes the disposition of the legacy event
code assignments from the obsoleted RFC 2833, in particular,
Table 8 represents the current assignments and dispositions,
as per RFC 4733 -- see (1b) below.

Unfortunately, there are significant inconsistencies between
these two text blocks.  Looking into Ref. [17] of RFC 4733,
the ietf-avt-rfc2833biscas draft, it turns out that both
text blocks are also inconsistent with that future RFC.
Consequently, the current IANA file is also affected.

------  Begin  RFC 4733 Errata Note #1  ------

(1a)

Section 7 of RFC 4733, in the lower half of page 39, says:

   Legal event codes range from 0 to 255.  The initial registry content
   is shown in Table 7, and consists of the sixteen events defined in
   Section 3 of this document.  The remaining codes have the following
   disposition:

|  o  codes 17-22, 50-51, 90-95, 113-120, 169, and 206-255 are available
      for assignment;
                                                   ^^^

   o  codes 23-40, 49, and 52-63 are reserved for events defined in
      [16];

|  o  codes 121-137 and 174-205 are reserved for events defined in [17];
                   ^        ^^^
                          vv             v
|  o  codes 16, 41-48, 64-88, 96-112, 138-168, and 170-173 are reserved
      in the first instance for specifications reviving the
      corresponding RFC 2833 events, and in the second instance for
      general assignment after all other codes have been assigned.

It should say:

   Legal event codes range from 0 to 255.  The initial registry content
   is shown in Table 7, and consists of the sixteen events defined in
   Section 3 of this document.  The remaining codes have the following
   disposition:

|  o  codes 17-22, 50-51, 90-95, 113-120, 169, and 212-255 are available
      for assignment;
                                                   ^^^

   o  codes 23-40, 49, and 52-63 are reserved for events defined in
      [16];

|  o  codes 121-137, 144-159, and 174-211 are reserved for events
      defined in [17];
                   ^^^^^^^^^^         ^^^
                          vv             vvvvvvvvvv
|  o  codes 16, 41-48, 64-89, 96-112, 138-143, 160-168, and 170-173 are
      reserved in the first instance for specifications reviving the
      corresponding RFC 2833 events, and in the second instance for
      general assignment after all other codes have been assigned.

(1b)

Table 8 in Appendix A, on page 47 is given as:

   +-------------+---------------------------------------+-------------+
   | Event Codes | RFC 2833 Description                  | Disposition |
   +-------------+---------------------------------------+-------------+
   |        0-15 | DTMF digits                           | RFC 4733    |
   |          16 | Line flash (deprecated)               | Reserved    |
   |       23-31 | Unused                                | [16]        |
   |       32-40 | Data and fax                          | [16]        |
   |       41-48 | Data and fax (V.8bis, deprecated)     | Reserved    |
   |       52-63 | Unused                                | [16]        |
   |       64-89 | E.182 line events (deprecated)        | Reserved    |
   |      96-112 | Country-specific line events          | Reserved    |
   |             | (deprecated)                          |             |
   |     121-127 | Unused                                | [17]        |
   |     128-137 | Trunks: MF 0-9                        | [17]        |
   |     138-143 | Trunks: other MF (deprecated)         | Reserved    |
   |     144-159 | Trunks: ABCD signalling               | [17]        |
   |     160-168 | Trunks: various (deprecated)          | Reserved    |
   |     170-173 | Trunks: various (deprecated)          | Reserved    |
|  |     174-205 | Unused                                | [17]        |
   +-------------+---------------------------------------+-------------+

It should be (adding a line for code 49, and changing the last line):

   +-------------+---------------------------------------+-------------+
   | Event Codes | RFC 2833 Description                  | Disposition |
   +-------------+---------------------------------------+-------------+
   |        0-15 | DTMF digits                           | RFC 4733    |
   |          16 | Line flash (deprecated)               | Reserved    |
   |       23-31 | Unused                                | [16]        |
   |       32-40 | Data and fax                          | [16]        |
   |       41-48 | Data and fax (V.8bis, deprecated)     | Reserved    |
|  |          49 | Calling Tone                          | [16]        |
   |       52-63 | Unused                                | [16]        |
   |       64-89 | E.182 line events (deprecated)        | Reserved    |
   |      96-112 | Country-specific line events          | Reserved    |
   |             | (deprecated)                          |             |
   |     121-127 | Unused                                | [17]        |
   |     128-137 | Trunks: MF 0-9                        | [17]        |
   |     138-143 | Trunks: other MF (deprecated)         | Reserved    |
   |     144-159 | Trunks: ABCD signalling               | [17]        |
   |     160-168 | Trunks: various (deprecated)          | Reserved    |
   |     170-173 | Trunks: various (deprecated)          | Reserved    |
|  |     174-211 | Unused                                | [17]        |
   +-------------+---------------------------------------+-------------+

------  End    RFC 4733 Errata Note #1  ------

The current version of the IANA audio-telephone-event-registry
subregistry, as just obtained from the IANA web site, reflects
the information in (1a), contains a few spurious parts of the
table framing from the I-Ds/RFCs, and also is out-of-date by
still referring to the I-Ds, and not the published information
sources, RFC 4733 and RFC 4734.

Authors, please verify, and arrange with the IANA to correct
the published subregistry.

In particular, IMHO in the IANA subregistry:
(i)   the entry for code 64-88 (Reserved) should be extended to
      include the code 89, i.e., code range 64-89 (Reserved);
(ii)  the code range 144-159 should be split off
      the code range 138-168 (Reserved) and marked
      (Reserved for [draft-ietf-avt-rfc2833biscas]), leaving
      two ranges, 138-143 and 145-168 marked as (Reserved);
(iii) the code range 206-211 should be
      removed from the range 206-255 (Unassigned) and added to the
      range 174-205 (Reserved for [draft-ietf-avt-rfc2833biscas]),
      changing these ranges to 212-255 and 174-211, respectively;
(iv)  "[RFC-ietf-avt-rfc2833bis-15.txt]" should be updated to
      point to RFC 4733 (using the respective rfc-ref.txt line);
(v)   "[RFC-ietf-avt-rfc2833bisdata-15.txt]" should be updated to
      point to RFC 4734 (using the respective rfc-ref.txt line);
(vi)  the line for code 23 should be cleaned up.

(2)  [typo / word omission]

------  Begin  RFC 4733 Errata Note #2  ------

In the 2nd-to-last line on page 20 of RFC 4733, the phrase,

                ... the current duration of tone signal ...
should be:
|               ... the current duration of a tone signal ...
                                           ^^^

------  End    RFC 4733 Errata Note #2  ------

(3)  [typo]

------  Begin  RFC 4733 Errata Note #3  ------

In the second line of the second paragraph of Section 8, on
mid-page 43 of RFC 4733, the name,

                         Magnus Westerland
should be spelled:
|                        Magnus Westerlund
                                       ^

------  End    RFC 4733 Errata Note #3  ------

Authors, please verify and comment.

Perhaps all three items should be addressed by an Errata Note.

Preferrably, you should submit an Author's Errata Note to the
RFC Editor's RFC Errata web pages, making freely use of the
material supplied above.  If you like, please instruct the
RFC Editor (which will be CC'ed this message) to just literally
extract the marked errrata text from above, for this purpose.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+